GetApplicationsResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetApplicationsResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetApplicationsResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse

@Public @Stable public abstract class GetApplicationsResponse extends Object

The response sent by the `ResourceManager` to a client requesting an `ApplicationReport` for applications.

The `ApplicationReport` for each application includes details such as user, queue, name, host on which the `ApplicationMaster` is running, RPC port, tracking URL, diagnostics, start time etc.

See Also:
  - `ApplicationReport`
  - `ApplicationBaseProtocol.getApplications(GetApplicationsRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetApplicationsResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<ApplicationReport>`
  `getApplicationList()`
  Get `ApplicationReport` for applications.
  `static GetApplicationsResponse`
  `newInstance(Collection<ApplicationReport> applications)`
  `static GetApplicationsResponse`
  `newInstance(List<ApplicationReport> applications)`
  `abstract void`
  `setApplicationList(List<ApplicationReport> applications)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetApplicationsResponse

    public GetApplicationsResponse()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static GetApplicationsResponse newInstance(List<ApplicationReport> applications)

  - ### newInstance

    @Private @Unstable public static GetApplicationsResponse newInstance(Collection<ApplicationReport> applications)

  - ### getApplicationList

    @Public @Stable public abstract List<ApplicationReport> getApplicationList()
    Get `ApplicationReport` for applications.
    Returns:
      `ApplicationReport` for applications

  - ### setApplicationList

    @Private @Unstable public abstract void setApplicationList(List<ApplicationReport> applications)